Skip to main content
GET
/
builders
/
{builderId}
/
projects
/
{projectId}
/
inductions
cURL
curl --request GET \
  --url https://api.buildpass.global/builders/{builderId}/projects/{projectId}/inductions \
  --header 'Authorization: Bearer <token>' \
  --header 'X-BuildPass-Api-Version: <x-buildpass-api-version>'
{
  "data": [
    {
      "id": "ind_clgbsb90b001qjy0f0eo1hspp",
      "identifier": 1,
      "createdAt": "2023-10-03T23:19:35.771Z",
      "updatedAt": "2023-10-03T23:19:35.771Z",
      "type": "PROJECT_INDUCTION",
      "status": "WAITING_REVIEW",
      "project": {
        "id": "prj_clgbsb90b001qjy0f0eo1hspp",
        "name": "Downtown Mall Construction"
      },
      "worker": {
        "id": "wkr_clgbsb90b001qjy0f0eo1hspp",
        "fullName": "John Doe"
      },
      "subcontractor": {
        "id": "sub_clgbsb90b001qjy0f0eo1hspp",
        "name": "ABC Contractors"
      }
    }
  ],
  "meta": {
    "totalCount": 100,
    "totalPages": 4,
    "offset": 0,
    "limit": 25
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.buildpass.global/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-BuildPass-Api-Version
enum<string>
default:v1
required

What API version to use.

Available options:
v1
Example:

"v1"

Path Parameters

builderId
string
required

The ID of the builder

Example:

"buil_clgbsb90b001qjy0f0eo1hspp"

projectId
string
required

The ID of the project

Example:

"prj_clgbsb90b001qjy0f0eo1hspp"

Query Parameters

status
enum<string>

Filter by induction status

Available options:
REVIEWED,
WAITING_REVIEW,
CHANGES_REQUESTED
Example:

"WAITING_REVIEW"

offset
integer
default:0

The number of items to skip before starting to collect the result set

Example:

0

limit
integer
default:25

The number of items to return

Required range: x <= 25
Example:

25

Response

A paginated list of inductions

data
object[]
meta
object